Heroes of Might and Magic Community
visiting hero! Register | Today's Posts | Games | Search! | FAQ/Rules | AvatarList | MemberList | Profile


Age of Heroes Headlines:  
5 Oct 2016: Heroes VII development comes to an end.. - read more
6 Aug 2016: Troubled Heroes VII Expansion Release - read more
26 Apr 2016: Heroes VII XPack - Trial by Fire - Coming out in June! - read more
17 Apr 2016: Global Alternative Creatures MOD for H7 after 1.8 Patch! - read more
7 Mar 2016: Romero launches a Piano Sonata Album Kickstarter! - read more
19 Feb 2016: Heroes 5.5 RC6, Heroes VII patch 1.7 are out! - read more
13 Jan 2016: Horn of the Abyss 1.4 Available for Download! - read more
17 Dec 2015: Heroes 5.5 update, 1.6 out for H7 - read more
23 Nov 2015: H7 1.4 & 1.5 patches Released - read more
31 Oct 2015: First H7 patches are out, End of DoC development - read more
5 Oct 2016: Heroes VII development comes to an end.. - read more
[X] Remove Ads
LOGIN:     Username:     Password:         [ Register ]
New Server | HOMM1: info forum | HOMM2: info forum | HOMM3: info forum | HOMM4: info forum | HOMM5: info forum | MMH6: wiki forum | MMH7: wiki forum
Heroes Community > Library of Enlightenment > Thread: [H3] SoD_SP: a HDmod plugin
Thread: [H3] SoD_SP: a HDmod plugin This thread is 12 pages long: 1 2 3 4 5 6 7 8 9 10 11 12 · «PREV / NEXT»
LordL
LordL

Tavern Dweller
posted December 09, 2018 05:31 PM

Thanks! Also, will SOD_DP work with Era?
____________

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
RoseKavalier
RoseKavalier


Honorable
Famous Hero
posted December 09, 2018 08:54 PM
Edited by RoseKavalier at 22:17, 09 Jan 2019.

Maybe one day I'll port some of it. The high level of customization makes it more difficult to include some stuff.

--Added Jan. 9th, 2019--

Note to users

I'm aware some components of SoD_SP are not working as they should. There were some modifications in HDmod which 1.15 and prior versions do not take account of. I will be reviewing the code in the coming week(s) and upload a working version when possible.

This being said, progress on 1.16 continues. The most important modifications will target mapmakers and be accessible through the Unleashed mapeditor; there will still be some new bugfixes and features.
____________
My Let's Plays: Metataxer's Revenge - The Empire of The World 2

 Send Instant Message | Send E-Mail | View Profile | PP | Quote Reply | Link
Gandalf196
Gandalf196


Known Hero
posted January 10, 2019 12:35 PM

Is it possible to make the HD mod run in the background? Currently, only by pressing F4 (therefore making the game run in a window) can I alt-tab and let the AI take its turn while I browse the web
____________
All we have to decide is what to do with the time that is given us.

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
RoseKavalier
RoseKavalier


Honorable
Famous Hero
posted January 10, 2019 03:12 PM

I don't know but this is not in SoD_SP's mandate, better ask HDmod author.
____________
My Let's Plays: Metataxer's Revenge - The Empire of The World 2

 Send Instant Message | Send E-Mail | View Profile | PP | Quote Reply | Link
Nikos
Nikos


Adventuring Hero
posted January 20, 2019 01:32 PM

Hello to everybody!
I am using SoD_SP v.1.15c. When I change some options on the F12 dialog and then click "save", I get the message "Something went wrong and data could not be saved!".
Any idea how to fix this?
Thanks!

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
RoseKavalier
RoseKavalier


Honorable
Famous Hero
posted January 20, 2019 02:23 PM

Nikos said:
Hello to everybody!
I am using SoD_SP v.1.15c. When I change some options on the F12 dialog and then click "save", I get the message "Something went wrong and data could not be saved!".
Any idea how to fix this?
Thanks!

Beats me, it works fine when I try, latest HDmod.


The three reasons where it can fail is when the parser:
* the file could not be opened (?? if it was loaded in the first place this should not be an issue)
* fails to find an entry (e.g. the file was edited)
* the saved file could not be written (?? this is the last step, I don't know why it would fail here if it got that far)

Of all reported cases so far, it worked after reboot or setting game to run as admin. Sorry I don't have a better answer
____________
My Let's Plays: Metataxer's Revenge - The Empire of The World 2

 Send Instant Message | Send E-Mail | View Profile | PP | Quote Reply | Link
Rince
Rince


Hired Hero
posted January 23, 2019 09:08 PM

It seems that SoD_SP plugin doesn't work properly with the latest versions of HD Mod.
Specifically, AI doesn't "see" any monoliths with the plugin toggled on.

From what other people told me, the problem appeared in the version of HD MOD RC37 or later. SoD_SP version is 1.15c.

I really hope it can be fixed by either RoseKavalier or Baratorch.

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
RoseKavalier
RoseKavalier


Honorable
Famous Hero
posted January 23, 2019 09:42 PM

See this post. I've been busier than expected so reviewing process and correction are not done.
____________
My Let's Plays: Metataxer's Revenge - The Empire of The World 2

 Send Instant Message | Send E-Mail | View Profile | PP | Quote Reply | Link
RoseKavalier
RoseKavalier


Honorable
Famous Hero
posted January 28, 2019 11:16 PM

1.15d

This is mostly a hotfix to repair broken components. As such, there is no self-installer, only updated files. You will need to extract the contents of the archive to your SoD_SP folder, replacing any existing files.

DOWNLOAD 1.15d

[+] Fixed a bug with HDmod Costumes where hero path would not reflect new artifacts
[ ] Hero movement through Numpad is restored with Numlock (HW plugin change)
[ ] Updated Russian text (thanks daemon_n)
[ ] Multiplayer icon in main menu is back, but multiplayer is still disabled as long as SoD_SP is active
[-] Fixed a memory leak in Advanced Combat Information dialog

[-] Added missing hook for Anchor Bug fix on some special terrains
[-] Repaired several broken components due to HDmod updates

Please let me know if I missed other broken components, or if anything is amiss. Work on 1.16 continues!
____________
My Let's Plays: Metataxer's Revenge - The Empire of The World 2

 Send Instant Message | Send E-Mail | View Profile | PP | Quote Reply | Link
Nikos
Nikos


Adventuring Hero
posted January 31, 2019 07:33 PM
Edited by Nikos at 19:34, 31 Jan 2019.

Hello!
I downloaded the new 1.15d version, I replaced the three files and I immediately got this!

HoMM3 HD : Error
This should not have happened but it happened!
Critical error occured.

Any ideas?

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
RoseKavalier
RoseKavalier


Honorable
Famous Hero
posted January 31, 2019 10:29 PM

Nikos said:
Hello!
I downloaded the new 1.15d version, I replaced the three files and I immediately got this!

HoMM3 HD : Error
This should not have happened but it happened!
Critical error occured.

Any ideas?

No idea whatsoever. I've been testing it for about a week without issues.

Also, I'd really need more information to figure out your issue. You can always try reinstalling 1.15c and 1.15d on top ~ essentially replace only the DLL.
____________
My Let's Plays: Metataxer's Revenge - The Empire of The World 2

 Send Instant Message | Send E-Mail | View Profile | PP | Quote Reply | Link
Nikos
Nikos


Adventuring Hero
posted January 31, 2019 11:15 PM

The 1.15c version works fine (expept for the F12 dialogue save feature).
I use the HoMMD HD version 5.0 RC20. I haven't updated it for some time. Maybe that's the problem.
Is there a log or something I can send you?

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
Nmesa
Nmesa


Hired Hero
posted January 31, 2019 11:17 PM

I have the same problem and also using old HD-mod version for Sod, since plugin support was ended.

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
avatar
avatar


Promising
Supreme Hero
posted January 31, 2019 11:41 PM

Plugin support was never ended for SoD!
____________

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
RoseKavalier
RoseKavalier


Honorable
Famous Hero
posted February 01, 2019 12:37 AM

Nikos said:
The 1.15c version works fine (expept for the F12 dialogue save feature).
I use the HoMMD HD version 5.0 RC20. I haven't updated it for some time. Maybe that's the problem.
Is there a log or something I can send you?


Yes, try updating; I simply update the plugin for the latest HDmod as it's what makes the most sense. It's almost impossible for me to maintain compatibility with the hundreds of HDmod versions out there.

If that still doesn't work, let me know and further exploration can be made.

@Nmesa
I keep updating for SoD, just not for old HDmod versions.
____________
My Let's Plays: Metataxer's Revenge - The Empire of The World 2

 Send Instant Message | Send E-Mail | View Profile | PP | Quote Reply | Link
Nikos
Nikos


Adventuring Hero
posted February 05, 2019 01:14 AM

RoseKavalier said:
Nikos said:
The 1.15c version works fine (expept for the F12 dialogue save feature).
I use the HoMMD HD version 5.0 RC20. I haven't updated it for some time. Maybe that's the problem.
Is there a log or something I can send you?


Yes, try updating; I simply update the plugin for the latest HDmod as it's what makes the most sense. It's almost impossible for me to maintain compatibility with the hundreds of HDmod versions out there.

If that still doesn't work, let me know and further exploration can be made.


It was my fault.
After updating the HoMM3 HD to the latest version, the SOD_SP 1.15d version doesn't crash anymore.

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
RoseKavalier
RoseKavalier


Honorable
Famous Hero
posted February 05, 2019 04:51 AM

That's good!

I've re-uploaded 1.15d [same link], there were a few issues I missed.

Also, if anyone stumbles on this type of message when trying to save options:


...it simply means your SoD_SP.ini file is not up to date with the latest one. As a precaution, I've included the most recent one in the 1.15d link.

 Send Instant Message | Send E-Mail | View Profile | PP | Quote Reply | Link
wenwell
wenwell


Hired Hero
posted February 05, 2019 10:49 AM
Edited by wenwell at 10:59, 05 Feb 2019.

I got this mysteries unnamed option in latest version




Seems like a problem with "nwctheone" cheat is gone. I dont have a crash from my old saves anymore.

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
RoseKavalier
RoseKavalier


Honorable
Famous Hero
posted February 05, 2019 02:19 PM

wenwell said:
I got this mysteries unnamed option in latest version





It's quite harmless you can just ignore it, for now it's simply a placeholder for 1.16 that sneaked through.

 Send Instant Message | Send E-Mail | View Profile | PP | Quote Reply | Link
Nikos
Nikos


Adventuring Hero
posted February 05, 2019 11:34 PM

RoseKavalier said:
Also, if anyone stumbles on this type of message when trying to save options:


...it simply means your SoD_SP.ini file is not up to date with the latest one. As a precaution, I've included the most recent one in the 1.15d link.


With the updated SoD_SP.ini file the options saving problem is now fixed.
Thanks!

 Send Instant Message | Send E-Mail | View Profile | Quote Reply | Link
Jump To: « Prev Thread . . . Next Thread » This thread is 12 pages long: 1 2 3 4 5 6 7 8 9 10 11 12 · «PREV / NEXT»
Post New Poll    Post New Topic    Post New Reply

Page compiled in 0.0663 seconds